
QGIS Application - Bug report #9733

GPS/KML/WFS load with empty attribute table in qgis master and 2.2 (is ok on 2.0.1)

2014-03-06 05:13 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18286

Description

subject says it all

Note added:

This happens only when the "show selected features" or "shows features visible on map" acre active in QGIS general properties, so the

issue is less bad than supposed, but still a regression.

Associated revisions

Revision f97fa90c - 2014-06-10 03:07 PM - Martin Dobias

Fix #9733 (empty attribute table if showing just selected / visible features)

History

#1 - 2014-03-09 01:40 AM - Filipe Dias

This is terrible...is there any workaround? For those who work with GPS devices and Google Earth on a daily basis it would be extremely important to have

some way of accessing the attributes table.

#2 - 2014-03-11 04:01 PM - Stefan Blumentrath

Hi Giovanni and Filipe,

I just checked on QGIS 2.2.0 (commit:1c3699e) installed on Win7 through OSGeo4W (32bit). There I could not reproduce the problem with GPX (did not

test KML).

Both import and export work for me with attribute table...

Maybe encoding related? I used latin4...

S

#3 - 2014-03-14 09:09 AM - Giovanni Manghi

This happens only when the "show selected features" or "shows features visible on map" acre active in QGIS general properties, so the issue is less bad

than supposed, but still a regression.

#4 - 2014-03-28 11:27 AM - Giovanni Manghi

- Subject changed from gpx and kml load with empty attribute table in qgis master and 2.2 (is ok on 2.0.1) to GPS/KML/WFS load with empty attribute 
table in qgis master and 2.2 (is ok on 2.0.1)

It affects also WFS layers.

#5 - 2014-06-10 06:08 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"f97fa90c0caa2657c6b7a1fbb56ef9237474f022".
